com.here.msdkui.routing

## Class RouteDescriptionHandler

- java.lang.Object
- - com.here.msdkui.routing.RouteDescriptionHandler

- Deprecated.
  Please use `RouteUtil` instead.

      public final class RouteDescriptionHandler
      extends java.lang.Object

  A convenience class to access `Route` attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouteDescriptionHandler(android.content.Context context, com.here.android.mpa.routing.Route route)` Deprecated. Constructs a new instance using context and the route of interest.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArrivalTime(boolean isTraffic)` Deprecated. Gets the arrival time of the associated `Route` with or without traffic.
    `android.text.Spannable` | `getDetails(UnitSystem unitSystem)` Deprecated. Gets different details of the associated `Route` like via and others.
    `java.lang.Integer` | `getIcon()` Deprecated. Gets the `RouteOptions.TransportMode` icon of the associated `Route`.
    `java.lang.String` | `getLongestRoadSegments()` Deprecated. Gets the longest road segments of the associated `Route`.
    `java.lang.String` | `getRouteLength(UnitSystem unitSystem)` Deprecated. Gets the total length of the associated `Route` as formatted string.
    `java.util.List<SectionModel>` | `getSectionBar()` Deprecated. Gets a list of `SectionModel` elements of the associated `Route`.
    `android.text.Spannable` | `getTimeToArrive(boolean isTraffic)` Deprecated. Gets the estimated remaining time to arrive at the destination with or without traffic.
    `android.text.Spannable` | `getTrafficDelayed()` Deprecated. Gets the traffic delay text of the associated `Route`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RouteDescriptionHandler

          public RouteDescriptionHandler(android.content.Context context,
                                         com.here.android.mpa.routing.Route route)

      Deprecated.
      Constructs a new instance using context and the route of interest.
      Parameters:
        `context` - a context to access resources.
        `route` - the route from where attributes should be retrieved.

  - ### Method Detail

    - #### getLongestRoadSegments

          public java.lang.String getLongestRoadSegments()

      Deprecated.
      Gets the longest road segments of the associated `Route`.
      Returns:
        a string containing the longest road segments or an empty string if the route contains no `RoadElement`.

    - #### getTrafficDelayed

          public android.text.Spannable getTrafficDelayed()

      Deprecated.
      Gets the traffic delay text of the associated `Route`.
      Returns:
        the `Spannable` containing the traffic delay.

    - #### getArrivalTime

          public java.lang.String getArrivalTime(boolean isTraffic)

      Deprecated.
      Gets the arrival time of the associated `Route` with or without traffic.
      Parameters:
        `isTraffic` - true if traffic situation should be included, false otherwise.
      Returns:
        a string containing the arrival time.

    - #### getRouteLength

          public java.lang.String getRouteLength(UnitSystem unitSystem)

      Deprecated.
      Gets the total length of the associated `Route` as formatted string.
      Parameters:
        `unitSystem` - unit system `UnitSystem`.
      Returns:
        the formatted route length including units.

    - #### getDetails

          public android.text.Spannable getDetails(UnitSystem unitSystem)

      Deprecated.
      Gets different details of the associated `Route` like via and others.
      Parameters:
        `unitSystem` - unit system `UnitSystem`.
      Returns:
        a `Spannable` containing the details.

    - #### getTimeToArrive

          public android.text.Spannable getTimeToArrive(boolean isTraffic)

      Deprecated.
      Gets the estimated remaining time to arrive at the destination with or without traffic.
      Parameters:
        `isTraffic` - true if traffic situation should be included, false otherwise.
      Returns:
        the `Spannable` containing the remaining time to arrive in the format: days-hours-minutes.

    - #### getIcon

          public java.lang.Integer getIcon()

      Deprecated.
      Gets the `RouteOptions.TransportMode` icon of the associated `Route`.
      Returns:
        an icon indicating the transport mode.

    - #### getSectionBar

          public java.util.List<SectionModel> getSectionBar()

      Deprecated.
      Gets a list of `SectionModel` elements of the associated `Route`.
      Returns:
        a list containing the `SectionModel` elements.